Metacat - Bug #6030

Deleting a document causes the method itemAdded(ltemEvent<SystemMetadata> entryEvent) in the
SysteMetadataEventListener class being called twice
Description

When we delete a document from the Metacat, the method itemAdded in the in the SysteMetadataEventListener class
(Metacat-index module) will be called because the haszelcast service. However, i figure the method will be call twice even though i
only delete one document. This only happens for the deleting, the inserting works fine.

Here is the log:

Jul 08, 2013 5:17:25 PM edu.ucsb.nceas.metacat.index.SystemMetadataEventListener itemAdded

INFO: calling SystemMetadataEventListener.itemAdded method
Jul 08, 2013 5:17:25 PM edu.ucsb.nceas.metacat.index.SystemMetadataEventListener itemAdded
INFO: adding the document urn:uuid:e54bd099-e616-4f0d-be9d-f80df0f42354

Jul 08, 2013 5:17:25 PM edu.ucsb.nceas.metacat.index.SystemMetadataEventListener itemAdded

INFO: calling SystemMetadataEventListener.itemAdded method

Jul 08, 2013 5:17:25 PM edu.ucsb.nceas.metacat.index.SystemMetadataEventListener itemAdded

INFO: adding the document urn:uuid:e54bd099-e616-4f0d-be9d-f80df0f42354
History

#1 - 07/08/2013 06:20 PM - ben leinfelder

- Status changed from New to In Progress

There were two calls to this - one in the D1 service implementation and another in the Metacat implementation that the d1 service was making use of.
So | commented out the index queue call in the D1 service. Hope that is the cause.

#2 - 07/09/2013 09:55 AM - Jing Tao

- Status changed from In Progress to Closed

| used the morpho to test it and it seems that the issue was fixed.
